# ReflectionClassConstant::getModifiers

(PHP 7 >= 7.1.0)

ReflectionClassConstant::getModifiers — Gets the class constant modifiers

### Description

public ReflectionClassConstant::getModifiers ( void ) : int

Returns a bitfield of the access modifiers for this class constant.

### Parameters

This function has no parameters.

### Return Values

A numeric representation of the modifiers. The actual meanings of these modifiers are described in the predefined constants.

### See Also

- Reflection::getModifierNames() - Gets modifier names